SelectMultipleSingleWidget (base API)
Date: 2019-04-05

com.twosigma.beakerx.easyform.formitem.widgets

## Class SelectMultipleSingleWidget

- java.lang.Object
- - com.twosigma.beakerx.easyform.EasyFormComponent<T>
  - - com.twosigma.beakerx.easyform.formitem.ListComponent<com.twosigma.beakerx.widget.SelectMultipleSingle>
    - - com.twosigma.beakerx.easyform.formitem.widgets.SelectMultipleSingleWidget

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality

      public class SelectMultipleSingleWidget
      extends ListComponent<com.twosigma.beakerx.widget.SelectMultipleSingle>

- - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `widget`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectMultipleSingleWidget()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getSize()`
    `java.lang.Object` | `getValue()`
    `void` | `setSize(java.lang.Integer size)`
    `void` | `setValues(java.util.Collection<java.lang.String> values)`

    - ### Methods inherited from class com.twosigma.beakerx.easyform.formitem.ListComponent

      `getMultipleSelection, getValues, setMultipleSelection`

    - ### Methods inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `addOnChangeListener, addOnInitListener, checkValue, clearListeners, close, fireChanged, fireInit, formatValue, getComm, getLabel, getWidget, isButton, isEnabled, onChange, onInit, registerUpdateValueCallback, removeOnChangeListener, removeOnInitListener, setEnabled, setLabel, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectMultipleSingleWidget

          public SelectMultipleSingleWidget()

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()

      Overrides:
        `getValue` in class `EasyFormComponent<com.twosigma.beakerx.widget.SelectMultipleSingle>`

    - #### setSize

          public void setSize(java.lang.Integer size)

      Specified by:
        `setSize` in class `ListComponent<com.twosigma.beakerx.widget.SelectMultipleSingle>`

    - #### getSize

          public java.lang.Integer getSize()

      Specified by:
        `getSize` in class `ListComponent<com.twosigma.beakerx.widget.SelectMultipleSingle>`

    - #### setValues

          public void setValues(java.util.Collection<java.lang.String> values)

      Overrides:
        `setValues` in class `ListComponent<com.twosigma.beakerx.widget.SelectMultipleSingle>`